# ExceptionChainer (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.concurrent
Interface ExceptionChainer<Z extends Throwable>

Type Parameters:
  `Z` - Throwable type

    public interface ExceptionChainer<Z extends Throwable>

Chains an exception to desired type. For example:

     ExceptionChainer<SomeException> chainer = new ExceptionChainer<SomeException>()
     {
         public SomeException chain(Throwable t)
         {
             if (t instanceof SomeException)
                 return (SomeException) t;
             else
                 return new SomeExcepion(t);
         }
     };

Method Summary
`Z` `chain(Throwable t)`

Method Detail

### chain

    Z chain(Throwable t)

Copyright © 2009-2011. All Rights Reserved.